Skip to Main Content

ORDS, SODA & JSON in the Database

Announcement

For appeals, questions and feedback, please email oracle-forums_moderators_us@oracle.com

Getting java.lang.UnsupportedClassVersionError while deploying ords on weblogic server 12.2.1.4.0

Azam SajidMar 7 2024 — edited Mar 7 2024

I installed Weblogic server 12.2.1.4.0 using jdk8 along with oracle forms & reports 12c. now im deploying ORDS 21.4 along with jdk11. but ords deployment showing error.

note: i installed ords using jdk11 because when i run ords config install its redirect me to the webpage for jdk11 as jdk8 not supported. but the documentation shows jdk8+ compatible for ords 21.4

Exception:

java.lang.UnsupportedClassVersionError: oracle/dbtools/entrypoint/WebApplicationRequestEntryPoint has been compiled by a more recent version of the Java Runtime (class file version 55.0), this version of the Java Runtime only recognizes class file versions up to 52.0.

Comments
Post Details
Added on Mar 7 2024
6 comments
189 views